[Pkg-octave-commit] rev 132 - in trunk/packages/octave-epstk/debian: . patches

Rafael Laboissiere pkg-octave-devel@lists.alioth.debian.org
Sun, 27 Feb 2005 16:11:37 +0100


Author: rafael
Date: 2005-02-27 16:11:37 +0100 (Sun, 27 Feb 2005)
New Revision: 132

Added:
   trunk/packages/octave-epstk/debian/patches/50_axis-value-labels.dpatch
Modified:
   trunk/packages/octave-epstk/debian/changelog
   trunk/packages/octave-epstk/debian/rules
Log:
Debian release 2.0.2-3

Modified: trunk/packages/octave-epstk/debian/changelog
===================================================================
--- trunk/packages/octave-epstk/debian/changelog	2005-02-27 13:06:23 UTC (rev 131)
+++ trunk/packages/octave-epstk/debian/changelog	2005-02-27 15:11:37 UTC (rev 132)
@@ -1,3 +1,18 @@
+octave-epstk (2.0.2-3) unstable; urgency=low
+
+  +++ Changes by Rafael Laboissiere
+
+  * debian/control:
+    - Build-Depends on octave2.1-headers (>= 2.1.65)
+    - Depends on the automatically generated substvar ${octave: Depends}
+    - Suggests only gv | postscript
+  * debian/rules:
+    - Include defs.make from octave2.1-headers
+    - Use $(MDIR) as install dir
+    - Rename test.m to epstk_test.m  (closes: #296903)
+
+ -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Sun, 27 Feb 2005 15:27:29 +0100
+
 octave-epstk (2.0.2-2) unstable; urgency=low
 
   +++ Changes by Rafael Laboissiere:
@@ -8,7 +23,7 @@
     ePsdPath for searching *.psd files
   * debian/epstk.conf: Set default value for ePsdPath
   * debian/README.Debian: Added file
-  
+
  -- Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>  Thu, 10 Feb 2005 20:35:43 +0100
 
 octave-epstk (2.0.2-1) unstable; urgency=low

Added: trunk/packages/octave-epstk/debian/patches/50_axis-value-labels.dpatch
===================================================================
--- trunk/packages/octave-epstk/debian/patches/50_axis-value-labels.dpatch	2005-02-27 13:06:23 UTC (rev 131)
+++ trunk/packages/octave-epstk/debian/patches/50_axis-value-labels.dpatch	2005-02-27 15:11:37 UTC (rev 132)
@@ -0,0 +1,73 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 50_axis-value-labels.dpatch by  <rafael@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Allow arbitrary labels to be plotted at axis tics
+
+@DPATCH@
+
+--- octave-epstk-2.0.2.orig/m/escalexy.m
++++ octave-epstk-2.0.2/m/escalexy.m
+@@ -58,22 +58,23 @@
+     signOfDelta=sign(step);
+     deltaLabel=signOfDelta*step;
+   end
+-  if vForm==0  
+-    expo=-log10(deltaLabel);
+-    if rem(expo,1)>0
+-      expo=expo+1;
++  if is_scalar (vForm)
++    if vForm==0  
++      expo=-log10(deltaLabel);
++      if rem(expo,1)>0
++        expo=expo+1;
++      end
++      autoForm=fix(expo);
++      if autoForm>0
++        vForm=autoForm;
++      end
+     end
+-    autoForm=fix(expo);
+-    if autoForm>0
+-      vForm=autoForm;
++    if vForm<0  
++      valueForm='%g';
++    else
++      valueForm=sprintf('%%1.%df',vForm);
+     end
+-  end
+-  if vForm<0  
+-    valueForm='%g';
+-  else
+-    valueForm=sprintf('%%1.%df',vForm);
+-  end
+-  
++  end  
+ 
+   %start ticNo and offset
+   nShortTics=rem(startValue,deltaLabel)/deltaLabel*5*signOfDelta;
+@@ -104,6 +105,7 @@
+   currentTic=0;
+   currentValue=firstTicValue;
+   longTicPos=0;
++  currentLabel=1;
+   nPos=0;
+   while signOfDelta*currentValue<=signOfDelta*endValue
+     currentPos=startPos+axisFac*(currentValue-startValue);
+@@ -122,6 +124,16 @@
+           currentValue=0;
+         end
+         fprintf(epsFile,moveValueForm);
++	if ! is_scalar (vForm)
++	  valueForm='%s';
++	  if size(vForm,1) >= currentLabel
++	    currentValue=vForm(currentLabel,:);
++            currentValue=currentValue(find(currentValue~=' '));
++	    currentLabel=currentLabel+1;
++	  else
++	    currentValue=' ';
++	  end
++        end
+         valueStr=sprintf(valueForm,currentValue);
+         fprintf(epsFile,showForm,valueStr);
+       end


Property changes on: trunk/packages/octave-epstk/debian/patches/50_axis-value-labels.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/packages/octave-epstk/debian/rules
===================================================================
--- trunk/packages/octave-epstk/debian/rules	2005-02-27 13:06:23 UTC (rev 131)
+++ trunk/packages/octave-epstk/debian/rules	2005-02-27 15:11:37 UTC (rev 132)
@@ -4,10 +4,11 @@
 # Copyright 1999 - 2003 by Dirk Eddelbuettel <edd@debian.org>
 
 include /usr/share/dpatch/dpatch.make
+include /usr/share/octave/debian/defs.make
 
 PACKAGE		:= $(shell grep Package debian/control | sed 's/^Package: //')
 debtmp		:= $(shell pwd)/debian/tmp
-debdir		:= $(debtmp)/usr/share/octave/site/m/$(PACKAGE)
+debdir		:= $(debtmp)$(MDIR)/$(PACKAGE)
 
 get-orig-source: upstream
 upstream:
@@ -41,6 +42,8 @@
 		install -p -m 0644 m/*.m m/*.ppm m/*.psd m/*.jpg \
 				   m/octave.asc m/mFileList \
 				   m/epstkbc m/epsFileList 	$(debdir)
+		## Rename test.m
+		( cd $(debdir) ; mv test.m epstk_test.m )
                 ## even more
 		install -p -m 0644 debian/epstk.conf  		$(debtmp)/etc/.
                 ##